import { EventEmitter, OnInit } from "@angular/core";
export declare class TagInputComponent implements OnInit {
    value: any[];
    fields: any;
    disabled: boolean;
    error: boolean;
    minlength: number;
    maxlength: number;
    readonly inputMinlength: number;
    readonly inputMaxlength: number;
    valueChange: EventEmitter<any>;
    focus: EventEmitter<any>;
    blur: EventEmitter<any>;
    keyup: EventEmitter<any>;
    ngOnInit(): void;
    onRemoveTag(tag: any): void;
    onAddTag(event: any, type?: any): void;
    inputError: boolean;
    verifyInputValue(inputValue: any): boolean;
    onInput(): void;
    onFocus(): void;
    onBlur(event: any): void;
}
